# Interface JavaScriptExecutor

All Superinterfaces:
  `ClientService, Serializable`

public interface JavaScriptExecutor extends ClientService
The JavaScriptExecuter service allows executing JavaScript code on the client.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(String code)`
Evaluate the JavaScript code on the client If the code throws an error, it will crash the web client.

## Method Details

### execute

void execute(String code)
Evaluate the JavaScript code on the client If the code throws an error, it will crash the web client. Accessing internals of the web client is strongly discouraged.

Parameters:
  `code` - the JavaScript code to evaluate